org.apache.poi.hslf.usermodel

## Class HSLFBackground

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFShape
  - - org.apache.poi.hslf.usermodel.HSLFBackground

- All Implemented Interfaces:
    Background<HSLFShape,HSLFTextParagraph>, Shape<HSLFShape,HSLFTextParagraph>

      public final class HSLFBackground
      extends HSLFShape
      implements Background<HSLFShape,HSLFTextParagraph>

  Background shape
  Author:
    Yegor Kozlov

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HSLFBackground(EscherContainerRecord escherRecord, ShapeContainer<HSLFShape,HSLFTextParagraph> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EscherContainerRecord` | `createSpContainer(boolean isChild)` Create and assign the lower level escher record to this shape

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFShape

      `afterInsert, draw, getAnchor, getClientData, getClientDataRecord, getClientRecords, getEscherChild, getEscherChild, getEscherChild, getEscherChild, getEscherOptRecord, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getFillStyle, getFlipHorizontal, getFlipVertical, getParent, getRotation, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, isPlaceholder, moveTo, setAnchor, setEscherProperty, setEscherProperty, setEscherProperty, setEscherProperty, setEscherProperty, setFlipHorizontal, setFlipVertical, setRotation, setShapeId, setShapeType, setSheet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Background

      `getFillStyle`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getAnchor, getParent, getShapeId, getShapeName, getSheet`

- - ### Constructor Detail

    - #### HSLFBackground

          protected HSLFBackground(EscherContainerRecord escherRecord,
                                   ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

  - ### Method Detail

    - #### createSpContainer

          protected EscherContainerRecord createSpContainer(boolean isChild)

      Description copied from class: `HSLFShape`
      Create and assign the lower level escher record to this shape
      Overrides:
        `createSpContainer` in class `HSLFShape`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.